seo:
  title: A special farewell from GitLab’s Dmitriy Zaporozhets
  description: A message from GitLab's co-founders
  ogTitle: A special farewell from GitLab’s Dmitriy Zaporozhets
  ogDescription: A message from GitLab's co-founders
  noIndex: false
  ogImage: images/blog/hero-images/siddz.png
  ogUrl: >-
    https://about.gitlab.com/blog/a-special-farewell-from-gitlab-dmitriy-zaporozhets
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: >-
    https://about.gitlab.com/blog/a-special-farewell-from-gitlab-dmitriy-zaporozhets
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "A special farewell from GitLab’s Dmitriy Zaporozhets",
            "author": [{"@type":"Person","name":"Sid Sijbrandij"},{"@type":"Person","name":"Dmitriy Zaporozhets"}],
            "datePublished": "2021-11-10",
          }

content:
  title: A special farewell from GitLab’s Dmitriy Zaporozhets
  description: A message from GitLab's co-founders
  authors:
    - Sid Sijbrandij
    - Dmitriy Zaporozhets
  heroImage: images/blog/hero-images/siddz.png
  date: '2021-11-10'
  body: >

    **Sid Sijbrandij**: Today, we shared the news with the team that my
    co-founder and the creator of GitLab the open source project, Dmitriy
    Zaporozhets, has made the decision to leave his position as Engineering
    Fellow at GitLab. Below, Dmitriy shares this news in his own words with the
    GitLab community.


    **Dmitriy Zaporozhets**: I remember when I told Sid, my co-founder and the
    CEO of GitLab, that I wanted to commit 10 years to GitLab from the time I
    started the project in October of 2011. It’s been an amazing journey over
    the last 10 years. And just last month, on October 14, 2021, I joined Sid at
    Nasdaq in New York City as GitLab became a public company. Today, I want to
    share with the GitLab community that I am stepping away from my position as
    an Engineering Fellow at GitLab Inc. I have fulfilled my 10 year vision, and
    I feel that I can step away with so much pride in what GitLab has become and
    so much faith in where GitLab is headed.


    Back in 2011, I was working as a software developer. I worked with version
    control everyday. There was no modern open source software to run on your
    server and I saw an opportunity to make something useful as a hobby project.
    I started the project with Valery Sizov, and I remember having coffee with
    him, discussing the challenges and improvements we wanted to make. It was
    such a great feeling to brainstorm something that we cared so deeply about. 


    In that first year, we grew a functional open source community around the
    project. I was quite surprised that so many people participated. That gave
    me energy and confidence to keep going with the project. Everytime someone
    contributed, I felt like I needed to put even more effort into it. 


    In 2012, I got an email from Sid, saying that he wanted to let me know that
    he started GitLab.com. I remember he said, “I hope you don’t mind.” The
    truth is, I was happy that he was interested in GitLab. I hoped that he
    would bring more users and potentially more contributors. I did not imagine
    we would end up joining together and making the project as popular as it has
    become. 


    I came to work at GitLab full time in 2013. A team member recently asked me
    what my job title was when I started working at GitLab full time. The
    answer: it was Dmitriy. I didn’t have a formal title in the beginning. My
    first official title with the company was Chief Technology Officer. Quite a
    lot happened during that time. I wrote a lot of code, merged a lot of merge
    requests. I still have the highest number of commits in the main repository.
    I worked closely with the first front-end developer and the first UX
    designer, and we were building everything from scratch.


    By October of 2018, the company grew to the size when the CTO couldn't write
    the code anymore. I transitioned into my role as Engineering Fellow and
    worked on several new features in the product. It was a time when building
    something was just as important as not breaking it. 


    It has been an amazing experience to be a part of GitLab’s evolution into
    [The DevOps Platform](/solutions/devops-platform/). From the simple source
    control software to the platform that helps you deliver better software
    faster. I am very glad to have been a part of GitLab’s growth and to be a
    part of building something that is so valuable to software development. 


    It was an honor to be in New York City last month to help Sid ring the
    opening bell at Nasdaq and see GitLab become a publicly traded company. I
    know what we do at GitLab had value for the rest of the world even before
    the company went public. However, experiencing GitLab’s listing day in
    person filled me with emotion, and there’s one thing I know for sure: the
    world cares about what we are doing here. 


    I am so thankful to everyone who has contributed to GitLab. I especially
    want to thank Valery Sizov, Kamil Trzciński, Douwe Maan, Phil Hughes, Stan
    Hu, Rémy Coutable, Robert Speicher, and Sean McGivern, most of whom joined
    soon before or after Y Combinator and took our productivity to the next
    level. You were all just as passionate about the product as I was and it was
    amazing to work with you all. I also want to thank employee number 1 Marin
    Jankovski and employee number 2 Jacob Vosmaer, both of whom are still at
    GitLab Inc. after all these years. And of course, I want to thank Sid. Sid,
    your noble aspirations and your strong leadership made all of this possible.
    Thank you for your partnership over the years, it has been an honor to be on
    this journey with you as co-founders.


    Thank you to the community and everyone who has believed in, supported, and
    contributed to GitLab’s journey. I believe we are still early in GitLab’s
    evolution, and I cannot wait to see what the team and the community do next.


    Dmitriy  


    Dmitriy Zaporozhets


    Co-founder, GitLab


    **Sid Sijbrandij**: Dmitriy, it has been an incredible 10 years since you
    started the project. Thank you for creating GitLab, making it open source,
    joining me on this journey and caring for GitLab for the last 10 years. It
    was an amazing experience to ring the opening bell with you at Nasdaq and
    I’m excited to continue to build upon what we’ve created thus far and lead
    GitLab through its next phase. 


    While you are leaving your position as Engineering Fellow, I know that we
    will still keep in touch, and your legacy will live on through the company
    and the wider community. To honor your impact, GitLab Inc. has announced an
    annual “DZ Award” to recognize one team member who has made great impact by
    solving a difficult problem using a [boring
    solution](https://handbook.gitlab.com/handbook/values/#boring-solutions),
    because at GitLab, we celebrate the boring solution as a simple, fast, and
    effective way to maintain our speed of innovation. It will be an honor to
    recognize team members who embody your innovative spirit and deliver results
    that help us continue to grow.


    Dmitriy, thank you for the incredible impact you’ve had on all of us. 


    Sid


    Sid Sijbrandij


    Co-founder and CEO, GitLab
  category: News
  tags:
    - inside GitLab
    - community
    - contributors
config:
  slug: a-special-farewell-from-gitlab-dmitriy-zaporozhets
  featured: false
  template: BlogPost
